Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-1642

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2012-1642
Last Modified 29 Aug 2012 12:00:00
Published 28 Aug 2012 01:55:03
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2012-1642

Summary

includes/linkchecker.pages.inc in the Link checker module 6.x-2.x before 6.x-2.5 for Drupal does not properly enforce access permissions on broken links, which allows remote attackers to obtain sensitive information via unspecified vectors.

Vulnerable Systems

Application

  • Yaml-fuer-drupal Linkchecker 6.x-2.0

  • Yaml-fuer-drupal Linkchecker 6.x-2.1

  • Yaml-fuer-drupal Linkchecker 6.x-2.2

  • Yaml-fuer-drupal Linkchecker 6.x-2.3

  • Yaml-fuer-drupal Linkchecker 6.x-2.4

  • Yaml-fuer-drupal Linkchecker 6.x-2.x


References

MISC - https://drupal.org/node/1441252

OSVDB - 79315

MLIST - [oss-security] 20120406 CVE's for Drupal Contrib 2012 001 through 057 (67 new CVE assignments)

SECUNIA - 48022

CONFIRM - http://drupalcode.org/project/linkchecker.git/commit/fef0ddf

CONFIRM - http://drupal.org/node/1440508


Last Updated: 27 May 2016 11:00:23